# параметр включения/выключения параллельного выполнения тестов.
junit.jupiter.execution.parallel.enabled = true
# протестирована стратегия параллельности fixed и dynamic (оба режима на параллельность запуска тестов не повлияли).
junit.jupiter.execution.parallel.config.strategy = dynamic
# параметр желаемого параллелизма (проверено с разными значениями (1-10), на параллельность запуска тестов не повлияло).
# junit.jupiter.execution.parallel.config.dynamic.factor = 1.0
# параметр максимального размера пула (проверено с разными значениями (1-10), на параллельность запуска тестов не повлияло).
junit.jupiter.execution.parallel.config.dynamic.max-pool-size-factor = 6.0
# параллель внутри класса (настроено последовательно, т.к. параллельно создаётся очередь и падает ошибка Failed to create driver).
junit.jupiter.execution.parallel.mode.default = concurrent
# параллель внутри сьюта
#junit.jupiter.execution.parallel.mode.classes.default = concurrent

# возможные стратегии параллельности  dynamic, fixed и custom:
#    dynamic - вычисляет желаемый параллелизм на основе количества доступных процессоров / ядер, умноженного на коэф-т dynamic.factor. Настраиваемые значения:
# junit.jupiter.execution.parallel.config.dynamic.factor параметр конфигурации (по умолчанию имеет значение 1) - положительное десятичное число
# junit.jupiter.execution.parallel.config.dynamic.max-pool-size-factor параметр конфигурации можно использовать для ограничения максимального количества потоков
# (по умолчанию 256 + значение junit.jupiter.execution.parallel.config.dynamic.factor, умноженное на количество доступных процессоров / ядер) - положительное десятичное число, должно быть больше или равно 1.0
#    fixed - устанавливает закрепленное значение параллелизма с помощью коэф-тов:
# junit.jupiter.execution.parallel.config.fixed.parallelism желаемый параллелизм для fixed стратегии (нет значения по умолчанию) - положительное целое число
# junit.jupiter.execution.parallel.config.fixed.max-pool-size желаемый максимальный размер пула (256 + значение junit.jupiter.execution.parallel.config.fixed.parallelism) - положительное целое число,
# должно быть больше или равно junit.jupiter.execution.parallel.config.fixed.parallelism
#    custom - пользовательская реализацию с помощью обязательного junit.jupiter.execution.parallel.config.custom.class.
# Пример класса кастомной настройки: https://github.com/sormuras/junit5-1858-fixed-parallelism/commit/1fb2646711c6d59ad68241822e1a609db417c938#diff-d74841653c5af688ce3524c83cc4cf62bad536c64493e888c208ee2a750b6b88
#
# параметр junit.jupiter.execution.parallel.mode.default настраивает параллельность внутри класса (тесты)
# параметр junit.jupiter.execution.parallel.mode.classes.default настраивает параллельность внутри сьюта (IT классы)
# concurrent - паралльный запуск
# same_thread - последовательный запуск
